Subject: bug#9312: 24.0.50; smtpmail

From: Glenn Morris <[email-masked]>
Date: Wed, 24 Aug 2011 00:11:28 -0400

emacs user wrote:

> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   byte-code("
>   smtpmail-via-smtp((#("xx@yy" 0 4 (fontified nil) 4 14 (fontified
> nil) 14 28 (fontified nil))) #<buffer  smtpmail temp>)
>   smtpmail-send-it()

This doesn't tell us anything except that something went wrong inside
the smtpmail-via-smtp function. As a first step to get more info, please
try

M-x load-file /path/to/emacs/lisp/mail/smtpmail.el

to load the uncompiled library, set debug-on-error non-nil, repeat the
error and post the resulting, hopefully more detailed, backtrace.

> In GNU Emacs 24.0.50.2 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
>  of 2011-08-17 on xx